This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 771557 - [abrt] midori-0.4.3-1.fc16: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.3-1.fc16: Process /usr/bin/midori was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:5bee67e8e139f3435cd26fad956...
:
: 796012 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 00:12 EST by Elliott Sales de Andrade
Modified: 2013-02-13 20:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (13.44 KB, text/plain)
2012-01-04 00:12 EST, Elliott Sales de Andrade
no flags Details
File: build_ids (5.00 KB, text/plain)
2012-01-04 00:12 EST, Elliott Sales de Andrade
no flags Details
File: maps (81.05 KB, text/plain)
2012-01-04 00:12 EST, Elliott Sales de Andrade
no flags Details
File: backtrace (31.38 KB, text/plain)
2012-01-04 00:12 EST, Elliott Sales de Andrade
no flags Details
File: backtrace (42.74 KB, text/plain)
2012-02-01 18:22 EST, Paul
no flags Details
File: backtrace (31.28 KB, text/plain)
2012-04-01 06:26 EDT, Philippe Noroy
no flags Details

  None (edit)
Description Elliott Sales de Andrade 2012-01-04 00:12:50 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        midori
comment:        Right-click element, choose "Inspect Element", explore a bit (no need to edit or anything), then close the Web Inspector.
crash_function: WebKit::InspectorClient::releaseFrontendPage
executable:     /usr/bin/midori
kernel:         3.1.6-1.fc16.x86_64
pid:            29700
pwd:            /home/zero-one
reason:         Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
time:           Wed 04 Jan 2012 12:07:36 AM EST
uid:            1000
username:       zero-one

backtrace:      Text file, 32133 bytes
build_ids:      Text file, 5125 bytes
dso_list:       Text file, 13760 bytes
maps:           Text file, 82993 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=VeniVidiVici.HOME
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ff831396568380a65b4ba5f100000011-1325625103.331007-37642007
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-NqMo3g
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=zero-one
:USERNAME=zero-one
:MAIL=/var/spool/mail/zero-one
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/zero-one/code/android-sdk-linux_x86/tools:/home/zero-one/code/android-sdk-linux_x86/platform-tools:/home/zero-one/.local/bin
:DESKTOP_SESSION=gnome
:GSETTINGS_SCHEMA_DIR=/home/zero-one/.local/share/glib-2.0/schemas/
:QT_IM_MODULE=xim
:PWD=/home/zero-one
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1490
:LANG=en_CA.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_CA.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/zero-one
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=zero-one
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IUB0p1XXfY,guid=5ba9bec58b6004cb5320c84c0000007c
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:MTN_MERGE=meld
:XDG_RUNTIME_DIR=/run/user/zero-one
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-zero-one-cYdU8k/database
:'module=() {  eval `/usr/bin/modulecmd $modules_shell $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1498,unix/unix:/tmp/.ICE-unix/1498
:GPG_AGENT_INFO=/tmp/keyring-NqMo3g/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-NqMo3g/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-midori.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=29700

var_log_messages:
:Jan  4 00:05:27 VeniVidiVici yum[29690]: Installed: midori-0.4.3-1.fc16.x86_64
:Jan  4 00:07:35 VeniVidiVici kernel: [28677.386611] midori[29700]: segfault at 640075 ip 0000003c28047c10 sp 00007fff099435c8 error 6 in libwebkitgtk-1.0.so.0.11.0[3c27c00000+1804000]
:Jan  4 00:07:43 VeniVidiVici abrt[29762]: Saved core dump of pid 29700 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-01-04-00:07:36-29700 (1219493888 bytes)
Comment 1 Elliott Sales de Andrade 2012-01-04 00:12:53 EST
Created attachment 550595 [details]
File: dso_list
Comment 2 Elliott Sales de Andrade 2012-01-04 00:12:54 EST
Created attachment 550596 [details]
File: build_ids
Comment 3 Elliott Sales de Andrade 2012-01-04 00:12:56 EST
Created attachment 550597 [details]
File: maps
Comment 4 Elliott Sales de Andrade 2012-01-04 00:12:58 EST
Created attachment 550598 [details]
File: backtrace
Comment 5 Elliott Sales de Andrade 2012-01-04 00:17:19 EST
Right-click, choose "Inspect Element".
Close inspector window.
Right-click, choose "Inspect Element" again.
Close inspector window.
Crash!


rating: 4
Package: midori-0.4.3-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 6 Elliott Sales de Andrade 2012-01-04 00:21:41 EST
Sometimes it is easier to trigger this bug. I think if you have it on top of the window it's inspecting, then point to an element, and then close the inspector window, it crashes just the same.

I think this is likely a webkitgtk+ bug. I saw a similar problem in another application I'm developing that uses webkitgtk+.
Comment 7 Kevin Fenzi 2012-01-06 12:04:14 EST
I can indeed duplicate this here. :( 

Will try and track down whats causing it... thanks for the report!
Comment 8 Paul 2012-02-01 18:21:59 EST
I opened examine window (the one with source code) and clicked on "X" button in order to close it. The application crashed. It happens each time I repeat those steps.

backtrace_rating: 4
Package: midori-0.4.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Paul 2012-02-01 18:22:03 EST
Created attachment 558936 [details]
File: backtrace
Comment 10 Kevin Fenzi 2012-02-25 13:14:29 EST
*** Bug 796012 has been marked as a duplicate of this bug. ***
Comment 11 Kevin Fenzi 2012-02-25 13:21:15 EST
Digging around some more it looks like this might be this webkitgtk bug: 

https://bugs.webkit.org/show_bug.cgi?id=50744

which should be fixed in 1.6.4 (the next version).
Comment 12 Philippe Noroy 2012-04-01 06:26:46 EDT
program terminated while waiting for a window "analyser la page", opened by right-click inspect, to close.
problem can be reproduced easily : inspect, close window : crash


backtrace_rating: 4
Package: midori-0.4.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 Philippe Noroy 2012-04-01 06:26:52 EDT
Created attachment 574315 [details]
File: backtrace
Comment 14 Philippe Noroy 2012-04-01 06:38:05 EDT
It seems to happen only when I quickly open and close the inspect window.
When I open, wait for a while or "play" with the window (click on one or two buttons, for instance), and then close, it closes normally and does not crash midori.
I hope it helps, 
Regards
Comment 15 Fedora End Of Life 2013-01-16 18:08:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Elliott Sales de Andrade 2013-01-16 19:23:50 EST
This is fixed in F17, and I'd assume it'd be fixed in F16 if it got an update to webkitgtk 1.6.4. But since F16 is almost EOL, that probably won't happen.
Comment 17 Fedora End Of Life 2013-02-13 20:34:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.